<?php
/**
 *
 * @author  ahrasis http://smf.ahrasis.com
 * @license BSD http://opensource.org/licenses/BSD-3-Clause
 * @mod     IUMQ - Install & Uninstall Mods Quickly
 *
 */

if (!defined('SMF')) 
	die('Hacking attempt...');

function IUMQ_Buffers(&$buffer)
{
	global $modSettings, $context, $scripturl, $txt;
	
	if (isset($_REQUEST['xml']) || $context['current_action'] == 'printpage') return $buffer;

	$iumq = array();
	if (!empty($modSettings['iumq_enable']) && isset($_REQUEST['package'])) {
		// Load Languages
		loadLanguage('IUMQ');
		// Define the old and the new code
		$old_code = $txt['package_uninstall_done'];
		$new_code = $txt['package_uninstall_done'] . '
				<br /><br /><a href="' . $scripturl . '?action=admin;area=packages;sa=install;package=' . $_REQUEST['package'] . '"><strong>' . $txt['iumq_click'] . $txt['iumq_reinstall'] . $txt['iumq_mod'] . '</strong></a>
				<br /><a href="' . $scripturl . '?action=admin;area=packages;sa=remove;package=' . $_REQUEST['package'] . ';' . $context['session_var'] . '=' . $context['session_id'] . '"' . '><strong>[ ' . $txt['iumq_click'] . $txt['package_delete'] . $txt['iumq_mod'] . ' ]</strong></a>';
		$iumq[$old_code] = $new_code;
		// Define the old and the new code #2
		$old_code2 = $txt['package_installed_done'];
		$new_code2 = $txt['package_installed_done'] . '
				<br /><a href="' . $scripturl . '?action=admin;area=packages;sa=uninstall;package=' . $_REQUEST['package'] . '"><strong>' . $txt['iumq_click'] .  $txt['uninstall'] . $txt['iumq_mod'] . '</strong></a>';
		$iumq[$old_code2] = $new_code2;
	}

	// Now let's change the title, if we're allowed to
	return str_replace(array_keys($iumq), array_values($iumq), $buffer);
}

function IUMQ_Settings(&$config_vars)
{
	// Load language(s)
	loadLanguage('IUMQ');
	// Add setting(s)
	$iumq = array(
			'',
			array('check', 'iumq_enable'),
	);
	// Insert after all available slice.
	$first = array_slice($config_vars, 0);
	$config_vars = array_merge($first, $iumq);
}
?>